<template>
  <div>
    <el-button type="primary" @click="checkData">一键核对</el-button>
    <div id="dialysis-print-box">
      <div id='new-dialysis-1' class="dialysis-print-order">
        <div class="order-yy-name">{{ orgname }}</div>
        <div class="order-title">血液透析治疗记录单</div>
        <table class="table-box" style="margin-top: 10px;">
          <tbody>
            <tr>
              <td width="80">透析日期:</td>
              <td width="50">
                <div class="under-line">
                  &nbsp;<span>{{ queryParams.xtdate.slice(0,4) }}</span>
                </div>
              </td>
              <td width="10">年</td>
              <td width="50">
                <div class="under-line">
                  &nbsp;<span>{{ queryParams.xtdate.slice(5,7) }}</span>
                </div>
              </td>
              <td width="10">月</td>
              <td width="50">
                <div class="under-line">
                  &nbsp;<span>{{ queryParams.xtdate.slice(8,11) }}</span>
                </div>
              </td>
              <td width="10">日</td>
              <td width="10"></td>
              <td width="50">姓 名:</td>
              <td width="80">
                  <div class="under-line">&nbsp;{{ patientInfo.name }}</div>
              </td>
              <td width="10"></td>
              <td width="50">性 别:</td>
              <td width="60">
                <div class="under-line">
                  <span v-if="patientInfo.gender == 1">男</span> 
                  <span v-if="patientInfo.gender == 2">女</span> 
                </div>
              </td>
              <td width="10"></td>
              <td width="50">年 龄:</td>
              <td width="60">
                  <div class="under-line">{{ getAge(patientInfo) }}</div>
              </td>
              <td width="30">岁</td>
              <td width="10"></td>
              <td width="80">透析机号:</td>
              <td width="100">
                  <div class="under-line">{{ dialysisOrder && dialysisOrder.DeviceNumber && dialysisOrder.DeviceNumber.number.length > 0 ? dialysisOrder.DeviceNumber.number : patientInfo.DialysisSchedule.device_number.number }}</div>
              </td>
              <td></td>
            </tr>
          </tbody>
        </table>
        <table class="table-box" style="margin-top: 10px;">
          <tbody>
            <tr>
              <td width="50">科室:</td>
              <td width="100">
                  <div class="under-line">血液净化中心</div>
              </td>
              <td width="10"></td>
              <td width="40">诊 断:</td>
              <td width="">
                  <div class="under-line" style="text-align:left">&nbsp;{{ patientInfo.diagnose }}</div>
              </td>
              <td width="10"></td>
              <td width="70">有/无特殊:</td>
              <td width="200">
                  <div class="under-line" style="text-align:left">&nbsp;{{receiverTreatmentAccess.sick_condition_other?receiverTreatmentAccess.sick_condition_other:''}}</div>
              </td>
            </tr>
          </tbody>
        </table>
        <table class="table-box" style="margin-top: 10px;">
            <tbody>
              <tr>
                  <td width="70">治疗方式:</td>
                  <td width="50">
                      <label-box :isChecked="prescription.mode_id == 1 ? true : false" showValue="HD"></label-box>
                  </td>
                  <td width="50">
                      <label-box :isChecked="prescription.mode_id == 2 ? true : false" showValue="HDF"></label-box>
                  </td>
                  <td width="80">
                      <label-box :isChecked="prescription.mode_id == 3 ? true : false" showValue="HD+HP"></label-box>
                  </td>
                  <td width="70">置换量:</td>
                  <td width="80">
                      <div class="under-line">&nbsp;{{ prescription.replacement_total ? prescription.replacement_total : "" }}</div>
                  </td>
                  <td width="10">L</td>
                  <td width="10"></td>
                  <td width="80">透析器型号:</td>
                  <td width="">
                      <div class="under-line">&nbsp;{{ prescription.dialyzer_perfusion_apparatus ? prescription.dialyzer_perfusion_apparatus : "" }}</div>
                  </td>
              </tr>
            </tbody>
        </table>
        <table class="table-box" style="margin-top: 10px;">
            <tbody>
              <tr>
                  <td width="70">血管通路:</td>
                  <td width="620">
                      <div>
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('绳梯') > -1 ? true : false" showValue="绳梯"></label-box>
                          &nbsp;
                          A：( 
                            <span style="width:50px;display:inline-block;text-align:center;">
                              &nbsp;<span v-if="predialysis.puncture_way.indexOf('A1')>-1">A1</span>
                              <span v-if="predialysis.puncture_way.indexOf('A2')>-1">A2</span>
                              <span v-if="predialysis.puncture_way.indexOf('A3')>-1">A3</span>
                              <span v-if="predialysis.puncture_way.indexOf('A4')>-1">A4</span>
                              <span v-if="predialysis.puncture_way.indexOf('A5')>-1">A5</span>
                              <span v-if="predialysis.puncture_way.indexOf('A6')>-1">A6</span>
                            </span>
                          )&nbsp;
                          V：( 
                            <span style="width:50px;display:inline-block;text-align:center;">
                              <span v-if="predialysis.puncture_way.indexOf('V1')>-1">V1</span>
                              <span v-if="predialysis.puncture_way.indexOf('V2')>-1">V2</span>
                              <span v-if="predialysis.puncture_way.indexOf('V3')>-1">V3</span>
                              <span v-if="predialysis.puncture_way.indexOf('V4')>-1">V4</span>
                              <span v-if="predialysis.puncture_way.indexOf('V5')>-1">V5</span>
                              <span v-if="predialysis.puncture_way.indexOf('V6')>-1">V6</span>
                            </span>
                          )
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('长期管') > -1 ? true : false" showValue="长期管"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('临时管') > -1 ? true : false" showValue="临时管"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('直穿') > -1 ? true : false" showValue="直穿"></label-box>
                          &nbsp;
                        <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('人造血管') > -1 ? true : false" showValue="人造血管"></label-box>
                          &nbsp;
                        <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('扣眼') > -1 ? true : false" showValue="扣眼"></label-box>
                          &nbsp;
                      </div>
                  </td>
                  <td width='10'></td>
                  <td width="70">封管用药:</td>
                  <td>
                      <div class="under-line" style="text-align:left;">&nbsp;{{prescription.remark?prescription.remark:''}}</div>
                  </td>
              </tr>
            </tbody>
        </table>
        <table class="table-box" style="margin-top: 10px;">
            <tbody>
              <tr>
                  <td width="80">透析前情况:</td>
                  <td width="40">血压:</td>
                  <td width="140">
                    <div class="under-line">
                      {{ predialysis.systolic_blood_pressure ? predialysis.systolic_blood_pressure : "" }}/
                      {{ predialysis.diastolic_blood_pressure ? predialysis.diastolic_blood_pressure : "" }}
                    </div>
                  </td>
                  <td width="35">mmHg</td>
                  <td width="30"></td>
                  <td width="40">脉搏:</td>
                  <td width="70">
                    <div class="under-line">
                      &nbsp;{{ predialysis.pulse_frequency ? predialysis.pulse_frequency : "" }}
                    </div>
                  </td>
                  <td width="35">次/分</td>
                  <td width="30"></td>
                  <td width="80">透析前体重:</td>
                  <td width="70">
                    <div class="under-line">
                      &nbsp;{{ predialysis.weight_before ? predialysis.weight_before : "未称重" }}
                    </div>
                  </td>
                  <td width="35">kg</td>
                  <td width="30"></td>
                  <td width="50">干体重:</td>
                  <td width="70">
                    <div class="under-line">
                      &nbsp;{{ predialysis.dry_weight ? predialysis.dry_weight : "" }}
                    </div>
                  </td>
                  <td width="35">kg</td>
                  <td></td>
              </tr>
            </tbody>
        </table>
        <table class="table-box" style="margin-top: 10px;">
            <tbody>
              <tr>
                  <td width="70">透析时间:</td>
                  <td width="40">
                  <div class="under-line">
                      &nbsp;{{ prescription.dialysis_duration_hour ? prescription.dialysis_duration_hour : 0 }}
                  </div>
                  </td>
                  <td width="10">h</td>
                  <td width="40">
                  <div class="under-line">
                      &nbsp;{{ prescription.dialysis_duration_minute ? prescription.dialysis_duration_minute : 0 }}
                  </div>
                  </td>
                  <td width="35">min</td>
                  <td width="20"></td>
                  <td width="70">超滤总量:</td>
                  <td width="50">
                      <div class="under-line">
                          &nbsp;{{ prescription.target_ultrafiltration ? prescription.target_ultrafiltration : ' ' }}
                      </div>
                  </td>
                  <td width="10">ml</td>
                  <td width="20"></td>
                  <td width="60">钠离子:</td>
                  <td width="50">
                      <div class="under-line">
                          &nbsp;{{ prescription.sodium ? prescription.sodium : "" }}
                      </div>
                  </td>
                  <td width="20">mmol/L</td>
                  <td width="20"></td>
                  <td width="60">钙离子:</td>
                  <td width="50">
                      <div class="under-line">
                          &nbsp;{{ prescription.calcium ? prescription.calcium : "" }}
                      </div>
                  </td>
                  <td width="20">mmol/L</td>
                  <td width="20"></td>
                  <td width="60">钾离子:</td>
                  <td width="50">
                      <div class="under-line">
                          &nbsp;{{ prescription.kalium ? prescription.kalium : "" }}
                      </div>
                  </td>
                  <td width="20">mmol/L</td>
                  <td></td>
              </tr>
            </tbody>
        </table>
        <table class="table-box" style="margin-top: 10px;">
            <tbody>
              <tr>
                  <td width='60'>抗凝剂:</td>
                  <td width='340'>
                      <label-box :isChecked="prescription.anticoagulant == '普通肝素' ? true : false" showValue="普通肝素"></label-box>&nbsp;
                      <label-box :isChecked="prescription.anticoagulant == '低分子肝素' ? true : false" showValue="低分子肝素"></label-box>&nbsp;
                      <label-box :isChecked="prescription.anticoagulant == '无肝素' ? true : false" showValue="无肝素"></label-box>&nbsp;
                      <label-box :isChecked="prescription.anticoagulant == '纯无肝素' ? true : false" showValue="纯无肝素"></label-box>&nbsp;
                  </td>
                  <td width="35">首剂</td>
                  <td width="80">
                    <div class="under-line">
                      &nbsp;
                      <span>{{ prescription.anticoagulant_shouji ? prescription.anticoagulant_shouji : '' }}</span>
                    </div>
                  </td>
                  <td width="20">
                      <span v-if="prescription.anticoagulant == '枸橼酸钠'">mg</span>
                      <span v-if="prescription.anticoagulant == '阿加曲班'">mg</span>
                      <span v-if="prescription.anticoagulant == '低分子肝素'">iu</span>
                      <span v-if="prescription.anticoagulant == '普通肝素'">mg</span>
                      <span v-if="prescription.anticoagulant == '无肝素'">mg</span>
                      <span v-if="prescription.anticoagulant == '低分子肝素钙'">iu</span>
                      <span v-if="prescription.anticoagulant == '低分子肝素钠'">iu</span>
                  </td>
                  <td width="10"></td>
                  <td width="35">维持</td>
                  <td width="80">
                    <div class="under-line" >
                      &nbsp;
                      <span>{{ prescription.anticoagulant_weichi ? prescription.anticoagulant_weichi : "0" }}</span>
                      
                    </div>
                  </td>
                  <td width="40">
                      <span v-if="prescription.anticoagulant == '枸橼酸钠'">ml/h</span>
                      <span v-if="prescription.anticoagulant == '阿加曲班'">mg/h</span>
                      <span v-if="prescription.anticoagulant == '低分子肝素'">iu/h</span>
                      <span v-if="prescription.anticoagulant == '普通肝素'">mg/h</span>
                      <span v-if="prescription.anticoagulant == '无肝素'">mg/h</span>
                      <span v-if="prescription.anticoagulant == '低分子肝素钙'">iu/h</span>
                      <span v-if="prescription.anticoagulant == '低分子肝素钠'">iu/h</span> 
                  </td>
                  <td></td>
              </tr>
            </tbody>
        </table>

        <table class="print-table" border="1">
          <tbody>
            <tr>
              <td width="60">时间</td>
              <td width="80" style="height:20px;line-height:20px">血压<br />mmHg</td>
              <td width="40" style="height:20px;line-height:20px">脉搏<br />次/分</td>
              <td width="60" style="height:20px;line-height:20px">血流量<br />ml/分</td>
              <td width="60" style="height:20px;line-height:20px">静脉压<br />mmHg</td>
              <td width="60" style="height:20px;line-height:20px">跨膜压<br />mmHg</td>
              <td width="60" style="height:20px;line-height:20px">超滤量<br />ml</td>
              <td width="">症状及处理</td>
              <td width="60" style="height:20px;line-height:20px">护士签名</td>
            </tr>

            <tr v-for="monitor in monitors" :key="monitor.id">
              <td style="height:40px;line-height:40px;">&nbsp;{{ getTime(monitor.operate_time, "{h}:{i}") }}</td>
              <td>
                <span v-if="monitor.systolic_blood_pressure || monitor.diastolic_blood_pressure">
                  &nbsp;{{ monitor.systolic_blood_pressure ? monitor.systolic_blood_pressure : "" }}/
                  {{ monitor.diastolic_blood_pressure ? monitor.diastolic_blood_pressure : "" }}
                </span>
              </td>
              <td>&nbsp;{{ monitor.pulse_frequency ? monitor.pulse_frequency : '' }}</td>
              <td>&nbsp;{{ monitor.blood_flow_volume ? monitor.blood_flow_volume : "" }}</td>
              <td>&nbsp;{{ monitor.venous_pressure ? monitor.venous_pressure : "" }}</td>
              <td>&nbsp;{{ monitor.transmembrane_pressure ? monitor.transmembrane_pressure : "" }}</td>
              <td>&nbsp;{{ monitor.ultrafiltration_volume ? monitor.ultrafiltration_volume : "" }}</td>
              <td style="text-align:left;padding-left:10px;">
                <div style="line-height:20px;text-align: left;display: inline-block;">
                  &nbsp;{{ monitor.symptom }}{{ monitor.dispose }}{{ monitor.result }}
                </div>
              </td>
              <td>
                <span v-if="setAdminUserES(monitor.monitoring_nurse) == ''">
                  {{ getAdminUser(monitor.monitoring_nurse) }}
                </span>
                <span v-else style="display:flex;align-items:center;justify-content:space-around;height:36px;">
                  <img style="height:30px;" :src="setAdminUserES(monitor.monitoring_nurse)" alt srcset />
                </span>
              </td>
            </tr>
          </tbody>
        </table>
        <table class="print-table" border="1">
          <tbody>
            <tr>
                <td>
                  <table class="table-box">
                      <tbody>
                      <tr>
                        <td wdith='70'>下机情况:</td>
                        <td wdith='30'>凝血:</td>
                        <td width="250">
                            <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('无凝血') > -1 ? true : false):false" showValue="无"></label-box>&nbsp;
                            <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('有凝血') > -1 ? true : false):false" showValue="有"></label-box>&nbsp;
                            <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('透析器-Ⅰ度') > -1 ? true : false):false" showValue="Ⅰ"></label-box>&nbsp;
                            <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('透析器-Ⅱ度') > -1 ? true : false):false" showValue="Ⅱ"></label-box>&nbsp;
                            <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('透析器-Ⅲ度') > -1 ? true : false):false" showValue="Ⅲ"></label-box>&nbsp;
                            <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('透析器-Ⅳ度') > -1 ? true : false):false" showValue="Ⅳ"></label-box>&nbsp;
                        </td>
                        <td width='50'></td>
                        <td width="70">静脉壶:</td>
                        <td width="90">
                          <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('静脉壶凝血-无') > -1 ? true : false):false" showValue="无"></label-box>&nbsp;&nbsp;
                          <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('静脉壶凝血-有') > -1 ? true : false):false" showValue="有"></label-box>&nbsp;
                        </td>
                        <td width='50'></td>
                        <td width="70">动脉壶:</td>
                        <td width="90">
                          <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('动脉壶凝血-无') > -1 ? true : false):false" showValue="无"></label-box>&nbsp;&nbsp;
                          <label-box :isChecked="afterdialysis.cruor?(afterdialysis.cruor.indexOf('动脉壶凝血-有') > -1 ? true : false):false" showValue="有"></label-box>&nbsp;
                        </td>
                        <td width="160"></td>
                      </tr>
                      </tbody>
                  </table>
                </td>
            </tr>
          </tbody>
        </table>


        <table class="print-table" border="1">
          <tr>
            <td width='140' style="height:40px;line-height:40px">时间</td>
            <td>临时医嘱</td>
            <td width='80'>医师签名</td>
            <td width='80'>核对签名</td>
            <td width='140'>执行时间</td>
            <td width='80'>护士签名</td>
            
            
          </tr>
          <tr v-for="(advice, advice_index) in tableAdvice" :key="advice_index" >
            <td style="height:40px;line-height:40px">{{ getTime(advice.start_time, "{y}-{m}-{d} {h}:{i}") }}</td>
            <td class="parent" style="text-align:left;padding-left:10px;">
              <span v-if="advice.parent_id > 0">---></span>
              <span>{{ advice.advice_name }}</span>
              <span v-if="advice && advice.advice_desc">({{ advice.advice_desc }}{{ advice.drug_spec_unit }})</span>
              <span v-if="advice.prescribing_number"> &nbsp;&nbsp; {{ advice.prescribing_number }}{{ advice.prescribing_number_unit }}</span>
              <span v-if="advice.single_dose != 0">{{ advice.single_dose }}{{ advice.single_dose_unit }}</span>
              <span v-if="advice.parent_id == 0">{{ advice.delivery_way }}</span>
              <span v-if="advice.parent_id == 0">{{ advice.execution_frequency }}</span>
              <span v-if="advice.parent_id == 0 && advice.remark.length > 0">({{ advice.remark }})</span>
            </td>
            <td>
              <span v-if="setAdminUserES(advice.advice_doctor) == ''">
                {{ getAdminUser(advice.advice_doctor) }}
              </span>
              <span v-else style="display:flex;align-items:center;justify-content:space-around;height:36px;">
                <img style="height:30px;" :src="setAdminUserES(advice.advice_doctor)" alt srcset />
              </span>
            </td>
            <td>
              <span v-if="setAdminUserES(advice.checker) == ''">
                {{ getAdminUser(advice.checker) }}
              </span>
              <span v-else style="display:flex;align-items:center;justify-content:space-around;height:36px;">
                <img style="height:30px;" :src="setAdminUserES(advice.checker)" alt srcset />
              </span>
            </td>
            <td>{{ getTime(advice.execution_time, "{y}-{m}-{d} {h}:{i}") }}</td>
            <td>
              <span v-if="setAdminUserES(advice.execution_staff) == ''">
                {{ getAdminUser(advice.execution_staff) }}
              </span>
              <span v-else style="display:flex;align-items:center;justify-content:space-around;height:36px;">
                <img style="height:30px;" :src="setAdminUserES(advice.execution_staff)" alt srcset />
              </span>
            </td>
            
            
          </tr>
        </table>


        <table class="print-table" border="1">
          <tbody>
            <tr>
              <td>
                <table class="table-box">
                  <tbody>
                    <tr>
                      <td width="100">实际治疗时间:</td>
                      <td width="40">
                        <div class="under-line">
                          &nbsp;{{ afterdialysis.actual_treatment_hour ? afterdialysis.actual_treatment_hour : 0 }}
                        </div>
                      </td>
                      <td width="10">h</td>
                      <td width="40">
                        <div class="under-line">
                          &nbsp;{{ afterdialysis.actual_treatment_minute ? afterdialysis.actual_treatment_minute : 0 }}
                        </div>
                      </td>
                      <td width="35">min</td>
                      <td width="30"></td>
                      <td width="80">实际超滤:</td>
                      <td width="50">
                        <div class="under-line">
                          &nbsp;{{ afterdialysis.actual_ultrafiltration ? afterdialysis.actual_ultrafiltration : " " }}
                        </div>
                      </td>
                      <td width="10">ml</td>
                      <td width="30"></td>
                      <td width='70'>透后体重:</td>
                      <td width="70">
                        <div class="under-line">&nbsp;{{ afterdialysis.weight_after ? afterdialysis.weight_after : "未称重" }}</div>
                      </td>
                      <td width="10">Kg</td>
                      <td></td>
                    </tr>
                  </tbody>
                </table>

                <table class="table-box" style="margin-bottom:20px;">
                  <tbody>
                    <tr>
                      <!-- <td width="70">其他记录:</td> -->
                      <td width="70">透析小结:</td>
                      <td width="">
                        <div style="width: 95%;line-height: 25px;text-align: left;margin-left: 2px;text-underline-position: under; text-decoration: underline;">
                          {{ summary.dialysis_summary ? summary.dialysis_summary : "" }}
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
        <table class="table-box">
          <tbody>
              <tr>
                  <td></td>
                  <td width="80">核对护士:</td>
                  <td width="200">
                      <div style="text-align:left" class="under-line">
                          &nbsp;
                          <span v-if="(dialysisOrder==null?0:dialysisOrder.start_nurse) != check.modifier">
                              <span v-if="setAdminUserES(check == null ? 0 : check.modifier) == ''">
                              {{ getAdminUser(check == null ? 0 : check.modifier) }}
                              </span>
                              <img style="height:30px;" :src="setAdminUserES(check == null ? 0 : check.modifier)" alt srcset v-else />
                          </span>
                          <span v-else>
                              <span v-if="setAdminUserES(check == null ? 0 : check.creater) == ''">
                              {{ getAdminUser(check == null ? 0 : check.creater) }}
                              </span>
                              <img style="height:30px;" :src="setAdminUserES(check == null ? 0 : check.creater)" alt srcset v-else />
                          </span>
                      </div>
                  </td>
                  <td width="80">责任护士:</td>
                  <td width="200">
                      <div style="text-align:left" class="under-line">&nbsp;
                          <span v-if="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse) == ''">{{getAdminUser(dialysisOrder==null?0:dialysisOrder.start_nurse)}}</span>
                          <img class="es-img" style="height:30px;" :src="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse)" alt="" srcset="" v-else>
                      </div>
                  </td>
                  <td width="70">医师签名:</td>
                  <td width="200">
                      <div style="text-align:left" class="under-line">&nbsp;
                          <span v-if="setAdminUserES(prescription==null?0:(prescription.prescription_doctor?prescription.prescription_doctor:'')) == ''"> {{ getAdminUser(prescription==null?0:(prescription.prescription_doctor?prescription.prescription_doctor:'')) }} </span>
                          <img style="height:30px;" :src="setAdminUserES(prescription==null?0:(prescription.prescription_doctor?prescription.prescription_doctor:''))" alt="" srcset="" v-else />
                      </div>
                  </td>
              </tr>
          </tbody>
          </table>
      </div>
    </div>
  </div>
</template>
<script>
import { getDialysisRecord, getPrintDialysisRecord } from '@/api/dialysis'
import { getDataConfig } from '@/utils/data'
import { jsGetAge, uParseTime } from '@/utils/tools'
import LabelBox from '../printItem/LabelBox'
import print from 'print-js'

export default {
  name: 'dialysisPrintOrderOne',
  components: {
    LabelBox
  },
  data () {
    return {
      way_arr: [],
      consciousness_arr: [],
      appetite_arr: [],
      posture_arr: [],
      sick_condition_arr: [],
      precaution_arr: [],
      intake_arr: [],
      nutrition_arr: [],

      crumbs: [
        { path: false, name: '透析管理' },
        { path: false, name: '打印单' }
      ],
      operators: [],
      adminUser: [],
      check: {},
      dialysisOrder: {
        DeviceNumber: []
      },
      operatorMaps: {},
      complications: [
        '低血压',
        '高血压',
        '心律失常',
        '头晕',
        '头痛',
        '呕吐',
        '抽搐',
        '出血',
        '心衰',
        '腹痛',
        '无'
      ],
      jilurow: 0,
      advice_jilurow: 0,
      loading: false,
      orgname: '',
      patientInfo_gender_1: false,
      patientInfo_gender_2: false,
      patientInfo_source_2: false,
      patientInfo_source_1: false,
      modeOptions: {},
      replacementWays: [],
      perfusionApparatus: [],
      anticoagulantsConfit: {},
      bloodAccessParOpera: {},
      dialysateFormulationOptions: {},

      queryParams: {
        xtdate: '',
        xtno: ''
      },
      patientInfo: {
        birth: '',
        age: '',
        DialysisSchedule: {
          device_number: { number: '' },
          device_zone: { name: '' }
        },
        gender: 0
      },
      predialysis: {
        score: '',
        internal_fistula: '',
        internal_fistula_skin: '',
        catheter: '',
        blood_access_part_opera_name: ''
      },
      afterdialysis: {
        complications_index: ''
      },
      prescription: {
        dialysate_formulation_name: '',
        device: {}
      },
      advices: [],
      users: [],
      monitors: [],
      summary: {},
      receiverTreatmentAccess: {},
      org_template_info: {},
      isShowZero: false,

      doctor_advices: [],
      advice_groups: [],

      AlPanel: {
        id: 0,
        name: '',
        type: 1,
        shouji: 2,
        weichi: 2,
        zongliang: 2,
        gaimingcheng: -1,
        gaijiliang: -1,
        shouji_unit: 'mg',
        weichi_unit: 'mg/h',
        zongliang_unit: 'mg',
        gaimingcheng_unit: '',
        gaijiliang_unit: ''
      },
      tableAdvice: []
    }
  },
  methods: {
    checkData(){
      if(this.receiverTreatmentAccess.sick_condition_other == 0){
        this.$message.error('有无特殊未填')
      }else if(this.prescription.mode_id == ""){
        this.$message.error('治疗方式未填')
      }else if(this.prescription.replacement_total == ""){
        this.$message.error('置换量未填')
      }else if(this.prescription.dialyzer_perfusion_apparatus == ""){
        this.$message.error('透析器型号未填')
      }else if(this.predialysis.blood_access_part_opera_name == ''){
        this.$message.error('血管通路未填')
      }else if(this.predialysis.puncture_way == ''){
        this.$message.error('A和V未填')
      }else if(this.predialysis.puncture_way != '' && this.predialysis.puncture_way.indexOf('A') == -1){
        this.$message.error('A未填')
      }else if(this.predialysis.puncture_way != '' && this.predialysis.puncture_way.indexOf('V') == -1){
        this.$message.error('V未填')
      }else if(this.prescription.remark == ''){
        this.$message.error('封管用药未填')
      }else if(this.predialysis.pulse_frequency == ""){
        this.$message.error('透前脉搏未填')
      }else if((this.predialysis.systolic_blood_pressure == 0 || this.predialysis.diastolic_blood_pressure == 0) && this.org_id == 9987){
        this.$message.error('透前血压未填完整')
      }else if(this.predialysis.weight_before == 0){
        this.$message.error('透析前体重未填')
      }else if(this.predialysis.dry_weight == 0){
        this.$message.error('干体重未填')
      }else if(this.prescription.dialysis_duration_hour == 0 && this.prescription.dialysis_duration_minute == 0){
        this.$message.error('透析时间未填')
      }else if(this.prescription.target_ultrafiltration == 0){
        this.$message.error('超滤总量未填')
      }else if(this.prescription.sodium == 0){
        this.$message.error('钠未填')
      }else if(this.prescription.calcium == 0){
        this.$message.error('钙未填')
      }else if(this.prescription.kalium == 0){
        this.$message.error('钾未填')
      }else if(this.prescription.anticoagulant == 0){
        this.$message.error('抗凝剂未填')
      }else if(this.afterdialysis.cruor == ""){
        this.$message.error('凝血未填')
      }else if(this.afterdialysis.cruor != "" && this.afterdialysis.cruor.indexOf('静脉壶凝血') == -1){
        this.$message.error('静脉壶凝血未填')
      }else if(this.afterdialysis.cruor != "" && this.afterdialysis.cruor.indexOf('动脉壶凝血') == -1){
        this.$message.error('动脉壶凝血未填')
      }else if(this.afterdialysis.actual_treatment_hour == 0 && this.afterdialysis.actual_treatment_minute == 0){
        this.$message.error('实际治疗时间未填')
      }else if(this.afterdialysis.actual_ultrafiltration == 0){
        this.$message.error('实际超滤未填')
      }else if(this.afterdialysis.weight_after == 0){
        this.$message.error('透后体重未填')
      }else if(this.summary.dialysis_summary == ""){
        this.$message.error('透析小结未填')
      }else if (this.dialysisOrder == null && this.check.creater == 0) {
        this.$message.error('核对护士未填')
      }else if (this.dialysisOrder != null && this.check.creater == 0) {
        this.$message.error('核对护士未填')
      }else if(this.dialysisOrder != null && this.dialysisOrder.start_nurse == this.check.modifier && this.check.creater == 0){
        this.$message.error('核对护士未填')
      }else if(this.dialysisOrder != null && this.dialysisOrder.start_nurse == this.check.creater && this.check.modifier == 0){
        this.$message.error('核对护士未填')
      }else if(this.dialysisOrder == null || this.dialysisOrder.start_nurse == 0){
        this.$message.error('上机护士未填')
      }else if(this.prescription.prescription_doctor == 0){
        this.$message.error('医师签名未填')
      }else if(this.tableAdvice.length > 0 || this.monitors.length > 0){
        let num = 0
        if(this.monitors.length > 0){
          this.monitors.map(item => {
            if(item.id > 0 && item.operate_time){
              this.users.map(it => {
                if(it.id == item.monitoring_nurse){
                  if(it.user_type == 2){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是护士保存的监测')
                  }
                }
              })
            }
          })
        }
        if(this.tableAdvice.length > 0){
          this.tableAdvice.map(item => {
            if(item.id > 0 && (item.created_time || item.start_time)){
              this.users.map(it => {
                if(it.id == item.advice_doctor){
                  if(it.user_type == 3){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是医生保存的医嘱')
                  }else if(it.id == item.execution_staff && item.execution_staff > 0){
                    if(it.user_type == 2){
                      num++
                      this.$message.closeAll()
                      this.$message.error('存在不是护士执行的医嘱')
                    }
                  }else if(it.id == item.checker && item.checker > 0){
                    if(it.user_type == 2){
                      num++
                      this.$message.closeAll()
                      this.$message.error('存在不是护士核对的医嘱')
                    }
                  }
                }else if(it.id == item.execution_staff && item.execution_staff > 0){
                  if(it.user_type == 2){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是护士执行的医嘱')
                  }
                }else if(it.id == item.checker && item.checker > 0){
                  if(it.user_type == 2){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是护士核对的医嘱')
                  }
                }
              })
            }
        })
        }
        
        if(num == 0){
          this.$message.success('核对完成')
        }
      }else{
        this.$message.success('核对完成')
      }
    },
    getNewAge (UUserCard) {
      if (UUserCard != null && UUserCard != '') {
        // 获取年龄
        var myDate = new Date()
        var month = myDate.getMonth() + 1
        var day = myDate.getDate()
        var age = myDate.getFullYear() - UUserCard.substring(6, 10) - 1
        if (UUserCard.substring(10, 12) < month || UUserCard.substring(10, 12) == month && UUserCard.substring(12, 14) <= day) {
          age++
        }
        return age
      }
    },
    getHemorrhage (hemorrhage) {
      if (hemorrhage.indexOf(',') == -1) {
        let str = hemorrhage
        if (['无', '牙龈出血', '消化道出血', '穿刺', '渗血', '女性经期'].indexOf(str) == -1) {
          return str
        }
      } else if (hemorrhage.indexOf(',') > -1) {
        let str = hemorrhage
        if (['无', '牙龈出血', '消化道出血', '穿刺', '渗血', '女性经期'].indexOf(str) == -1) {
          let newStr = ''
          str.split(',').map(item => {
            if (['无', '牙龈出血', '消化道出血', '穿刺', '渗血', '女性经期'].indexOf(item) == -1) {
              newStr += item + ','
            }
          })
          return newStr.substring(0, newStr.length - 1)
        }
      }
    },
    QueryPartById: function (val) {
      let vascular_access_part_name = '/'
      const vascular_access = getDataConfig('hemodialysis', 'vascular_access')

      for (let i = 0; i < vascular_access.length; i++) {
        if (vascular_access[i].id == val) {
          vascular_access_part_name = vascular_access[i].name
        }
      }
      return vascular_access_part_name
    },
    getPunctureWay: function (val) {
      let puncture_method_name = '/'
      const puncture_method = getDataConfig('hemodialysis', 'puncture_method')

      for (let i = 0; i < puncture_method.length; i++) {
        if (puncture_method[i].id == val) {
          puncture_method_name = puncture_method[i].name
        }
      }
      return puncture_method_name
    },
    getSealingFluidDispose: function (val) {
      let sealing_fluid_dispose_name = '/'
      const sealing_fluid_dispose = getDataConfig('hemodialysis', 'sealing_fluid_dispose')

      for (let i = 0; i < sealing_fluid_dispose.length; i++) {
        if (sealing_fluid_dispose[i].id == val) {
          sealing_fluid_dispose_name = sealing_fluid_dispose[i].name
        }
      }
      return sealing_fluid_dispose_name
    },
    getAdminUser (id) {
      if (id == 0) {
        return ''
      }
      if (id == undefined) {
        return ''
      }
      for (let i = 0; i < this.adminUser.length; i++) {
        if (this.adminUser[i].id == id) {
          return this.adminUser[i].name
        }
      }
    },
    getTime (value, temp) {
      if (value == 0) {
        return ''
      }
      if (value != undefined) {
        return uParseTime(value, temp)
      }
      return ''
    },
    printThisPage () {
      var ptime = Math.round(new Date().getTime() / 1000)
      this.print_time = uParseTime(ptime, '{y}-{m}-{d} {h}:{i}')

      const style =
        '@media print {.dialysis-print-order{width:960px;margin:0 auto}.dialysis-print-order .order-yy-name{margin:auto;text-align:center;font-size:20px;letter-spacing:5px}.dialysis-print-order .order-title{margin:auto;font-weight:600;text-align:center;font-size:22px;padding:10px 20px 20px 20px}.dialysis-print-order .table-box{width:100%;line-height:23px;font-size:14px}.dialysis-print-order .print-table{width:100%;text-align:center;border-collapse:collapse;line-height:25px;font-size:14px}.dialysis-print-order .print-table-no{width:100%;text-align:center;border-collapse:collapse;font-size:14px}.dialysis-print-order .under-line{border-bottom:1px solid #999;width:95%;text-align:center;margin-left:2px}.dialysis-print-order .title-box{text-align:center;font-size:16px;border:1px solid #666}.dialysis-print-order .radio-lebel-box{font-weight:400;cursor:pointer}.dialysis-print-order .radio-no{opacity:0;outline:0;position:absolute;margin:0;width:0;height:0;z-index:-1}.dialysis-print-order .radio-inner{white-space:nowrap;cursor:pointer;outline:0;display:inline-block;line-height:1;position:relative;vertical-align:middle}.dialysis-print-order .radio-fang{display:inline-block;position:relative;border:1px solid #000;box-sizing:border-box;width:14px;height:14px;background-color:#fff;z-index:1;transition:border-color .25s cubic-bezier(.71,-.46,.29,1.46),background-color .25s cubic-bezier(.71,-.46,.29,1.46)}.dialysis-print-order .is-checked-radio::after{content:"√";font-size:15px}}.dialysis-print-order .print-table-no tr td { padding: 8px 5px; line-height: 25px; }.es-img{height: 30px; }.advice-name{text-align: left;}.advice-children{display:flex;} .dialysis-print-order .print-table tr td{padding: 0px 0px;} .print-template-two tr {line-height: 30px;}   .title-box-pro{border: 0 #fff;line-height: 40px;height: 40px;text-align: left;padding-left: 10px !important;}  .text-align-left{text-align: left !important;padding-left:10px !important;font-size: 14px !important;line-height: 25px;}'

      if (this.org_template_info.template_id == 1) {
        printJS({
          printable: 'dialysis-print-box',
          type: 'html',
          style: style,
          scanStyles: false
        })
      } else if (
        this.org_template_info.template_id == 2 ||
        this.org_template_info.template_id == 0
      ) {
        printJS({
          printable: 'dialysis-print-box-1',
          type: 'html',
          style: style,
          scanStyles: false
        })
      }
    },
    getNumber () {
      if (this.dialysisOrder != null) {
        if (this.patientInfo.DialysisSchedule.device_zone.name.indexOf('区') > -1) {
          return (
            this.patientInfo.DialysisSchedule.device_zone.name +
            this.dialysisOrder.DeviceNumber.number
          )
        } else {
          return (
            this.patientInfo.DialysisSchedule.device_zone.name + '区' +
            this.dialysisOrder.DeviceNumber.number
          )
        }
      } else {
        if (this.patientInfo.DialysisSchedule.device_zone.name.indexOf('区') > -1) {
          return (
            this.patientInfo.DialysisSchedule.device_zone.name +
            this.patientInfo.DialysisSchedule.device_number.number
          )
        } else {
          return (
            this.patientInfo.DialysisSchedule.device_zone.name + '区' +
            this.patientInfo.DialysisSchedule.device_number.number
          )
        }
      }
    },

    getXuserName (id) {
      if (id <= 0) {
        return ''
      }
      var name = ''
      if (this.users == null || typeof this.users.length === 'undefined') {
        return name
      }
      var leng = this.users.length
      if (leng == 0) {
        return name
      }
      for (let index = 0; index < leng; index++) {
        if (this.users[index].id == id) {
          name = this.users[index].name
          break
        }
      }
      return name
    },
    setAdminUserES (id) {
      if (id == 0) {
        return ''
      }
      if (id in this.operatorMaps) {
        return this.operatorMaps[id].url
      } else {
        return ''
      }
    },
    modeName (mode_id) {
      return typeof this.modeOptions[mode_id] !== 'undefined' &&
        typeof this.modeOptions[mode_id].name !== 'undefined'
        ? this.modeOptions[mode_id].name
        : ''
    },
    getDialysisRecord () {
      getPrintDialysisRecord(this.queryParams).then(response => {
        if (response.data.state == 1) {
          this.adminUser = response.data.data.users
          this.users = response.data.data.users
          this.patientInfo = response.data.data.patientInfo
          this.patientInfo.birth = uParseTime(
            this.patientInfo.birthday,
            '{y}-{m}-{d}'
          )
          this.patientInfo.age = jsGetAge(this.patientInfo.birth, '-')
          if (response.data.data.patientInfo.first_dialysis_date != 0) {
            this.patientInfo.first_dialysis_date = uParseTime(
              response.data.data.patientInfo.first_dialysis_date,
              '{y}-{m}-{d}'
            )
          } else {
            this.patientInfo.first_dialysis_date = ''
          }

          this.check = response.data.data.check
          this.predialysis = response.data.data.PredialysisEvaluation
          this.predialysis.blood_access_part_opera_name = this.bloodAccessParOperaName(
            this.predialysis.blood_access_part_opera_id
          )
          this.afterdialysis = response.data.data.AssessmentAfterDislysis
          this.operators = response.data.data.operators
          this.dialysisOrder =
            response.data.data.dialysisOrder === null
              ? null
              : response.data.data.dialysisOrder

          if (this.operators.length > 0) {
            var operatorsLen = this.operators.length
            for (var index = 0; index < operatorsLen; index++) {
              this.$set(
                this.operatorMaps,
                this.operators[index].creator,
                this.operators[index]
              )
            }
          }

          this.afterdialysis.txqnx = -1
          if (this.afterdialysis.cruor.indexOf('0度') > -1) {
            this.afterdialysis.txqnx = 0
          }
          if (this.afterdialysis.cruor.indexOf('Ⅰ度') > -1) {
            this.afterdialysis.txqnx = 1
          }
          if (this.afterdialysis.cruor.indexOf('Ⅱ度') > -1) {
            this.afterdialysis.txqnx = 2
          }
          if (this.afterdialysis.cruor.indexOf('Ⅲ度') > -1) {
            this.afterdialysis.txqnx = 3
          }

          this.afterdialysis.complications = this.afterdialysis.complication.split(
            ','
          )
          this.afterdialysis.complications_other = []
          this.afterdialysis.complications_index = []
          var acllen = this.afterdialysis.complications.length
          for (let index = 0; index < acllen; index++) {
            if (
              this.complications.indexOf(
                this.afterdialysis.complications[index]
              ) >= 0
            ) {
              this.afterdialysis.complications_index.push(
                this.afterdialysis.complications[index]
              )
            } else if (
              this.complications.indexOf(
                this.afterdialysis.complications[index]
              ) < 0 &&
              this.afterdialysis.complications_other.indexOf(
                this.afterdialysis.complications[index]
              ) < 0
            ) {
              this.afterdialysis.complications_other.push(
                this.afterdialysis.complications[index]
              )
            }
          }
          this.afterdialysis.complications_other = this.afterdialysis.complications_other.join(
            ','
          )

          this.prescription = response.data.data.dialysisPrescription
          console.log("------",this.prescription)
          this.receiverTreatmentAccess =
            response.data.data.receiverTreatmentAccess

          this.prescription.mode = this.modeName(this.prescription.mode_id)
          var rwLen = this.replacementWays.length
          this.prescription.replacement = ''
          for (let index = 0; index < rwLen; index++) {
            if (
              this.replacementWays[index].id ==
              this.prescription.replacement_way
            ) {
              this.prescription.replacement = this.replacementWays[index].name
              break
            }
          }

          this.prescription.dialysate_formulation_name = this.dialysateFormulationName(
            this.prescription.dialysate_formulation
          )

          var paLen = this.perfusionApparatus.length
          this.prescription.perfusion_apparatus_name = ''
          for (let index = 0; index < paLen; index++) {
            if (
              this.perfusionApparatus[index].id ==
              this.prescription.perfusion_apparatus
            ) {
              this.prescription.perfusion_apparatus_name = this.perfusionApparatus[
                index
              ].name
              break
            }
          }

          var acLen = this.anticoagulantsConfit.length
          var thisALID = this.prescription.anticoagulant
          this.prescription.anticoagulant_name = ''

          if (
            typeof this.anticoagulantsConfit[thisALID] !== 'undefined' &&
            this.anticoagulantsConfit[thisALID] != null
          ) {
            this.prescription.anticoagulant_name = this.anticoagulantsConfit[
              thisALID
            ].name
            this.AlPanel = this.anticoagulantsConfit[thisALID]
          }

          var tableAdvice = response.data.data.advices
          console.log('tableAdvice', tableAdvice)
          // console.log('医生', tableAdvice.length)
          if (tableAdvice.length === 0) {
            var obj = { advice_name: '', start_time: '' }
            var obj1 = { advice_name: '', start_time: '' }
            var obj2 = { advice_name: '', start_time: '' }
            var obj3 = { advice_name: '', start_time: '' }
            var obj4 = { advice_name: '', start_time: '' }
            var obj5 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj4)
            tableAdvice.push(obj5)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj4)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 1) {
            var obj = { advice_name: '', start_time: '' }
            var obj1 = { advice_name: '', start_time: '' }
            var obj2 = { advice_name: '', start_time: '' }
            var obj3 = { advice_name: '', start_time: '' }
            var obj4 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj4)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj4)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 2) {
            var obj = { advice_name: '', start_time: '' }
            var obj1 = { advice_name: '', start_time: '' }
            var obj2 = { advice_name: '', start_time: '' }
            var obj3 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj3)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 3) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj2 = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj2)
            tableAdvice.push(obj2)

            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 4) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare

            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj1)
            tableAdvice.push(obj1)
            tableAdvice.push(obj1)
            tableAdvice.push(obj1)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 5) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj1)
            tableAdvice.push(obj1)
            tableAdvice.push(obj1)
            this.tableAdvice = tableAdvice
          }

          if (tableAdvice.length >= 6 && tableAdvice.length <= 10) {
            const length = 10 - tableAdvice.length
            var obj = { advice_name: '', start_time: '' }
            for (i = 0; i < length; i++) {
              console.log(1)
              tableAdvice.push(obj)
            }

            this.tableAdvice = tableAdvice
          } else {
            this.tableAdvice = tableAdvice
          }

          this.advices = response.data.data.advices
          this.monitors = response.data.data.monitors
          this.summary = response.data.data.summary
          this.org_template_info = response.data.data.org_template_info
          // 配置超滤量和置换量是否要显示0还是空
          if (this.org_template_info.org_id == 9535) {
            this.isShowZero = true
          }

          if (this.monitors.length < 8) {
            var nl = 8 - this.monitors.length
            for (let index = 0; index < nl; index++) {
              this.monitors.push([])
            }
          }
          this.jilurow = this.monitors.length + 1

          var childMap = {}
          for (const index in this.advices) {
            if (this.advices[index].parent_id == 0) {
              continue
            }
            if (!(this.advices[index].parent_id in childMap)) {
              childMap[this.advices[index].parent_id] = []
            }
            childMap[this.advices[index].parent_id].push(this.advices[index])
          }

          var advices = []
          for (const index in this.advices) {
            if (this.advices[index].parent_id > 0) {
              continue
            }
            var item = this.advices[index]
            if (item.id in childMap) {
              item.children = childMap[item.id]
            } else {
              item.children = []
            }
            advices.push(item)
          }

          var leftAdvice = []
          var rightAdvice = []
          var adlen = advices.length

          var halfLen = adlen % 2 == 0 ? adlen / 2 : (adlen + 1) / 2
          for (var i = 0; i < halfLen; i++) {
            leftAdvice.push(advices[i])
            rightAdvice.push(advices[i + halfLen])
          }

          if (halfLen < 5) {
            var nl = 5 - leftAdvice.length
            for (let index = 0; index < nl; index++) {
              leftAdvice.push([])
            }
            var nl = 5 - rightAdvice.length
            for (let index = 0; index < nl; index++) {
              rightAdvice.push([])
            }
          }

          this.advices = []
          for (var i = 0; i < halfLen; i++) {
            var item = []
            item.push(leftAdvice[i])
            item.push(rightAdvice[i])
            this.advices.push(item)
          }
        } else {
          this.$message.error('请求数据失败')
          return false
        }
      })
    },
    bloodAccessParOperaName (id) {
      if (id in this.bloodAccessParOpera) {
        return this.bloodAccessParOpera[id].name
      }
      return ''
    },
    dialysateFormulationName (id) {
      if (id in this.dialysateFormulationOptions) {
        return this.dialysateFormulationOptions[id].name
      }
      return ''
    },
    getAge: function (val) {
      if (val.birthday != 0) {
        return jsGetAge(val.birth, '-')
      }
      return ''
    },
    newAdviceGroupObject: function () {
      return Object.assign(
        {},
        {
          group_no: 0,
          // advice_doctor: 0,
          // start_time: 0,
          advices: []
          // exec_staff: 0,
          // exec_time: 0,
          // checker: 0,
        }
      )
    }
  },
  watch: {
    'patientInfo.gender': function () {
      if (this.patientInfo.gender == 1) {
        this.patientInfo_gender_1 = true
        this.patientInfo_gender_2 = false
      } else if (this.patientInfo.gender == 2) {
        this.patientInfo_gender_2 = true
        this.patientInfo_gender_1 = false
      } else {
        this.patientInfo_gender_2 = false
        this.patientInfo_gender_1 = false
      }
    },
    'patientInfo.source': function () {
      if (this.patientInfo.source == 1) {
        this.patientInfo_source_1 = true
        this.patientInfo_source_2 = false
      } else if (this.patientInfo.source == 2) {
        this.patientInfo_source_2 = true
        this.patientInfo_source_1 = false
      } else {
        this.patientInfo_source_2 = false
        this.patientInfo_source_1 = false
      }
    }
  },
  created () {
    var xtuser = this.$store.getters.user
    this.orgname = xtuser.org.org_name
    // this.orgname = "遂溪方济医院";
    this.modeOptions = this.$store.getters.treatment_mode
    this.replacementWays = this.$store.getters.replacement_ways
    this.perfusionApparatus = this.$store.getters.perfusion_apparatus
    this.anticoagulantsConfit = this.$store.getters.anticoagulants_confit

    this.way_arr = getDataConfig('hemodialysis', 'way')
    this.consciousness_arr = getDataConfig('hemodialysis', 'consciousness')
    this.appetite_arr = getDataConfig('hemodialysis', 'appetite')
    this.posture_arr = getDataConfig('hemodialysis', 'posture')
    this.sick_condition_arr = getDataConfig('hemodialysis', 'sick_condition')
    this.precaution_arr = getDataConfig('hemodialysis', 'precaution')
    this.intake_arr = getDataConfig('hemodialysis', 'intake')
    this.nutrition_arr = getDataConfig('hemodialysis', 'nutrition')

    console.log('穿刺', getDataConfig('hemodialysis', 'sealing_fluid_dispose'))

    // this.bloodAccessParOpera = getDataConfig('hemodialysis', 'vascular_access_desc')

    var bloodAccessParOpera = getDataConfig(
      'hemodialysis',
      'vascular_access_desc'
    )
    for (var key in bloodAccessParOpera) {
      this.bloodAccessParOpera[bloodAccessParOpera[key].id] =
        bloodAccessParOpera[key]
    }

    var dialysateFormulationOptions = getDataConfig(
      'hemodialysis',
      'dialysate_formulation'
    )
    for (var key in dialysateFormulationOptions) {
      this.dialysateFormulationOptions[dialysateFormulationOptions[key].id] =
        dialysateFormulationOptions[key]
    }

    const xtdate = this.$route.query && this.$route.query.xtdate
    const xtno = this.$route.query && this.$route.query.xtno
    if (
      typeof xtdate === 'string' &&
      xtdate.length > 0 &&
      typeof xtno === 'string' &&
      xtno.length > 0
    ) {
      this.queryParams.xtdate = xtdate
      this.queryParams.xtno = xtno
      this.getDialysisRecord()
    } else {
      this.$message.error('参数不齐')
      return false
    }
  }
}
</script>
<style>
.dialysis-print-order {
  width: 960px;
  margin: 0 auto;
}

.dialysis-print-order .order-yy-name {
  margin: auto;
  text-align: center;
  font-size: 20px;
  letter-spacing: 5px;
}

.dialysis-print-order .order-title {
  margin: auto;
  font-weight: 600;
  text-align: center;
  font-size: 22px;
  padding: 10px 20px 20px 20px;
}

.dialysis-print-order .table-box {
  width: 100%;
  line-height: 23px;
  font-size: 14px;
}

.dialysis-print-order .print-table {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  line-height: 40px;
  font-size: 14px;
}

.dialysis-print-order .print-table-no {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  font-size: 14px;
}

.dialysis-print-order .under-line {
  border-bottom: 1px solid #999;
  width: 95%;
  text-align: center;
  margin-left: 2px;
}

.dialysis-print-order .title-box {
  text-align: center;
  font-size: 16px;
}

.dialysis-print-order .radio-lebel-box {
  font-weight: 400;
  cursor: pointer;
}

.dialysis-print-order .radio-no {
  opacity: 0;
  outline: none;
  position: absolute;
  margin: 0;
  width: 0;
  height: 0;
  z-index: -1;
}

.dialysis-print-order .radio-inner {
  white-space: nowrap;
  cursor: pointer;
  outline: none;
  display: inline-block;
  line-height: 1;
  position: relative;
  vertical-align: middle;
}

.dialysis-print-order .radio-fang {
  display: inline-block;
  position: relative;
  border: 1px solid #000;
  box-sizing: border-box;
  width: 14px;
  height: 14px;
  background-color: #fff;
  z-index: 1;
  transition: border-color 0.25s cubic-bezier(0.71, -0.46, 0.29, 1.46),
    background-color 0.25s cubic-bezier(0.71, -0.46, 0.29, 1.46);
}

.dialysis-print-order .is-checked-radio::after {
  content: "√";
  font-size: 15px;
}

.dialysis-print-order .print-table-no tr td {
  padding: 8px 5px;
  line-height: 25px;
}

.dialysis-print-order .print-table tr td {
  padding: 1px 1px;
  /*line-height: 25px;*/
}

.es-img {
  height: 30px;
}

.advice-name {
  text-align: left;
}

.advice-children {
  display: flex;
}

.title-box-pro {
  border: 0 #fff;
  line-height: 25px;
  height: 25px;
  text-align: left;
  padding-left: 10px !important;
}
.title-box-pro-tr {
  border: 0 #fff;
}
.text-align-left {
  text-align: left !important;
  padding-left: 10px !important;
  font-size: 14px !important;
  line-height: 25px;
}
.print-table-tr-new td {
  line-height: 20px !important;
}
.border-top-solid {
  border: solid 1px #000;
}
.print-template-two tr {
  line-height: 30px;
}
</style>
